<?xml version="1.0" encoding="UTF-8"?>
<!--Taxonomy Linkbase File created by Certent CDM HD version: 22.4.1-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ContractCostsAndPrepaidCosts" xlink:label="loc_TEL_ContractCostsAndPrepaidCosts_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ContractCostsAndPrepaidCosts_0" xlink:to="lbl_ContractCostsAndPrepaidCosts_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ContractCostsAndPrepaidCosts_0">Contract costs and prepaid costs</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_CashAndCashEquivalentsSum" xlink:label="loc_TEL_CashAndCashEquivalentsSum_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_CashAndCashEquivalentsSum_0" xlink:to="lbl_CashAndCashEquivalentsSum_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_CashAndCashEquivalentsSum_0">CashAndCashEquivalentsSum</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Noncurrentinterestbearingliabilities" xlink:label="loc_TEL_Noncurrentinterestbearingliabilities_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Noncurrentinterestbearingliabilities_0" xlink:to="lbl_Noncurrentinterestbearingliabilities_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Noncurrentinterestbearingliabilities_0">Noncurrentinterestbearingliabilities</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Noncurrentnoninterestbearingliabilities" xlink:label="loc_TEL_Noncurrentnoninterestbearingliabilities_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Noncurrentnoninterestbearingliabilities_0" xlink:to="lbl_Noncurrentnoninterestbearingliabilities_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Noncurrentnoninterestbearingliabilities_0">Noncurrentnoninterestbearingliabilities</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Currentinterestbearingliabilities" xlink:label="loc_TEL_Currentinterestbearingliabilities_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Currentinterestbearingliabilities_0" xlink:to="lbl_Currentinterestbearingliabilities_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Currentinterestbearingliabilities_0">Currentinterestbearingliabilities</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Currentnoninterestbearingliabilities" xlink:label="loc_TEL_Currentnoninterestbearingliabilities_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Currentnoninterestbearingliabilities_0" xlink:to="lbl_Currentnoninterestbearingliabilities_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Currentnoninterestbearingliabilities_0">Currentnoninterestbearingliabilities</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ProfitLossFromContinuingOperationsAbstract" xlink:label="loc_TEL_ProfitLossFromContinuingOperationsAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ProfitLossFromContinuingOperationsAbstract_0" xlink:to="lbl_ProfitLossFromContinuingOperationsAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ProfitLossFromContinuingOperationsAbstract_0">Profit (loss) from continuing operations [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ProfitLossBeforeTaxAbstract" xlink:label="loc_TEL_ProfitLossBeforeTaxAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ProfitLossBeforeTaxAbstract_0" xlink:to="lbl_ProfitLossBeforeTaxAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ProfitLossBeforeTaxAbstract_0">Profit (loss) before tax [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_TEL_ProfitLossFromOperatingActivitiesAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ProfitLossFromOperatingActivitiesAbstract_0" xlink:to="lbl_ProfitLossFromOperatingActivitiesAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ProfitLossFromOperatingActivitiesAbstract_0">Profit (loss) from operating activities [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_EbitdaAbstract" xlink:label="loc_TEL_EbitdaAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_EbitdaAbstract_0" xlink:to="lbl_EbitdaAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_EbitdaAbstract_0">EBITDA [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_CostOfMaterialsAndTrafficCharges" xlink:label="loc_TEL_CostOfMaterialsAndTrafficCharges_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_CostOfMaterialsAndTrafficCharges_0" xlink:to="lbl_CostOfMaterialsAndTrafficCharges_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_CostOfMaterialsAndTrafficCharges_0">Cost of materials and traffic charges</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Ebitda" xlink:label="loc_TEL_Ebitda_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="6.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Ebitda_0" xlink:to="lbl_Ebitda_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Ebitda_0">EBITDA</link:label>
    <link:labelArc xlink:type="arc" priority="0" order="7.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Ebitda_0" xlink:to="lbl_Ebitda_1"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lbl_Ebitda_1">Ebitda</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures" xlink:label="loc_TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0" xlink:to="lbl_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0">Share of net income (loss) from associated companies and joint ventures</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Gainslossesondisposalassociatedcompaniesjointventures" xlink:label="loc_TEL_Gainslossesondisposalassociatedcompaniesjointventures_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="8.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Gainslossesondisposalassociatedcompaniesjointventures_0" xlink:to="lbl_Gainslossesondisposalassociatedcompaniesjointventures_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Gainslossesondisposalassociatedcompaniesjointventures_0">GainsLossesOnDisposalAssociatedCompaniesJointVentures</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_FinanceIncomeCostAbstract" xlink:label="loc_TEL_FinanceIncomeCostAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="11.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_FinanceIncomeCostAbstract_0" xlink:to="lbl_FinanceIncomeCostAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_FinanceIncomeCostAbstract_0">Finance income (cost) [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_FinanceIncomeOther" xlink:label="loc_TEL_FinanceIncomeOther_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_FinanceIncomeOther_0" xlink:to="lbl_FinanceIncomeOther_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_FinanceIncomeOther_0">Finance income Other</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_FinancialExpenses" xlink:label="loc_TEL_FinancialExpenses_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_FinancialExpenses_0" xlink:to="lbl_FinancialExpenses_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_FinancialExpenses_0">Financial expenses</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_OtherChanges" xlink:label="loc_TEL_OtherChanges_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="8.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_OtherChanges_0" xlink:to="lbl_OtherChanges_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_OtherChanges_0">Other changes</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:label="loc_TEL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract_0" xlink:to="lbl_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract_0">Other comprehensive income that will be reclassified to profit or loss, net of tax [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal" xlink:label="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0" xlink:to="lbl_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0">AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement" xlink:label="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0" xlink:to="lbl_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0">Amount reclassified from other comprehensive income to income statement</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures" xlink:label="loc_TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="8.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0" xlink:to="lbl_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0">NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal" xlink:label="loc_TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="11.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0" xlink:to="lbl_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0">Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:label="loc_TEL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract_0" xlink:to="lbl_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract_0">Other comprehensive income that will not be reclassified to profit or loss, net of tax [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_NetGainLossOnEquityInvestments" xlink:label="loc_TEL_NetGainLossOnEquityInvestments_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_NetGainLossOnEquityInvestments_0" xlink:to="lbl_NetGainLossOnEquityInvestments_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_NetGainLossOnEquityInvestments_0">Net gain (loss) on equity investments</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome" xlink:label="loc_TEL_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome_0" xlink:to="lbl_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome_0">Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Equityadjustmentsinassociatedcompanies" xlink:label="loc_TEL_Equityadjustmentsinassociatedcompanies_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Equityadjustmentsinassociatedcompanies_0" xlink:to="lbl_Equityadjustmentsinassociatedcompanies_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Equityadjustmentsinassociatedcompanies_0">Equityadjustmentsinassociatedcompanies</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_OtherrreservesMember" xlink:label="loc_TEL_OtherrreservesMember_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_OtherrreservesMember_0" xlink:to="lbl_OtherrreservesMember_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_OtherrreservesMember_0">OtherRreserves [Member]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:label="loc_TEL_IncreaseDecreaseInCashAndCashEquivalentsAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_IncreaseDecreaseInCashAndCashEquivalentsAbstract_0" xlink:to="lbl_IncreaseDecreaseInCashAndCashEquivalentsAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_IncreaseDecreaseInCashAndCashEquivalentsAbstract_0">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_TotalProfitBeforeTaxesAbstract" xlink:label="loc_TEL_TotalProfitBeforeTaxesAbstract_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_TotalProfitBeforeTaxesAbstract_0" xlink:to="lbl_TotalProfitBeforeTaxesAbstract_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_TotalProfitBeforeTaxesAbstract_0">Total Profit before taxes [Abstract]</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Profitlossbeforetaxesfromdiscontinuedoperations" xlink:label="loc_TEL_Profitlossbeforetaxesfromdiscontinuedoperations_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Profitlossbeforetaxesfromdiscontinuedoperations_0" xlink:to="lbl_Profitlossbeforetaxesfromdiscontinuedoperations_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Profitlossbeforetaxesfromdiscontinuedoperations_0">Profitlossbeforetaxesfromdiscontinuedoperations</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_TotalProfitBeforeTaxes" xlink:label="loc_TEL_TotalProfitBeforeTaxes_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="6.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_TotalProfitBeforeTaxes_0" xlink:to="lbl_TotalProfitBeforeTaxes_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_TotalProfitBeforeTaxes_0">Total Profit before taxes</link:label>
    <link:labelArc xlink:type="arc" priority="0" order="7.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_TotalProfitBeforeTaxes_0" xlink:to="lbl_TotalProfitBeforeTaxes_1"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lbl_TotalProfitBeforeTaxes_1">TotalProfitBeforeTaxes</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures" xlink:label="loc_TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0" xlink:to="lbl_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0">NetShareNetIncomeLossGainsLossesOnDisposalAssociatedCompaniesandAndJointVentures</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets" xlink:label="loc_TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0" xlink:to="lbl_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0">Proceeds from sale of property, plant and equipment, intangible assets and right-of-use assets</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets" xlink:label="loc_TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0" xlink:to="lbl_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0">Purchases of property, plant and equipment, intangible assets and prepayments for right-of-use assets</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Proceedsfromsaleofotherinvestments" xlink:label="loc_TEL_Proceedsfromsaleofotherinvestments_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="8.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Proceedsfromsaleofotherinvestments_0" xlink:to="lbl_Proceedsfromsaleofotherinvestments_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Proceedsfromsaleofotherinvestments_0">Proceedsfromsaleofotherinvestments</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Purchasesofotherinvestments" xlink:label="loc_TEL_Purchasesofotherinvestments_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="11.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Purchasesofotherinvestments_0" xlink:to="lbl_Purchasesofotherinvestments_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Purchasesofotherinvestments_0">Purchasesofotherinvestments</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences" xlink:label="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="2.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0" xlink:to="lbl_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0">Payments of lease liabilities related to spectrum licences</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts" xlink:label="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0" xlink:to="lbl_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0">PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Netpaymentsrelatedtosupplychainfinancing" xlink:label="loc_TEL_Netpaymentsrelatedtosupplychainfinancing_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="8.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Netpaymentsrelatedtosupplychainfinancing_0" xlink:to="lbl_Netpaymentsrelatedtosupplychainfinancing_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Netpaymentsrelatedtosupplychainfinancing_0">Netpaymentsrelatedtosupplychainfinancing</link:label>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Cashandcashequivalentsexcludingassetsheldforsaleasof31December" xlink:label="loc_TEL_Cashandcashequivalentsexcludingassetsheldforsaleasof31December_0"></link:loc>
    <link:labelArc xlink:type="arc" priority="0" order="5.0" use="optional" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_TEL_Cashandcashequivalentsexcludingassetsheldforsaleasof31December_0" xlink:to="lbl_Cashandcashequivalentsexcludingassetsheldforsaleasof31December_0"></link:labelArc>
    <link:label xlink:type="resource" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lbl_Cashandcashequivalentsexcludingassetsheldforsaleasof31December_0">Cashandcashequivalentsexcludingassetsheldforsaleasof31December</link:label>
  </link:labelLink>
</link:linkbase>